oarstat(1)

NAME
oarstat - show information about jobs

SYNOPSIS
oarstat [-X|-Y|-J|-D|-f] [-j [jobid]|--array arrayid] [--sql SQL_properties] [-u [user]] [--array] [--compact] [--format num]

oarstat [-e|-p] [-j jobid | --array arrayid]

oarstat -s [-X|-Y|-J|-D] -j [jobid]

oarstat [-X|-Y|-J|-D] --gantt "YYYY-MM-DD hh:mm:ss, YYYY-MM-DD hh:mm:ss"

oarstat --accounting "YYYY-MM-DD, YYYY-MM-DD"

DESCRIPTION
This command is used to show information of jobs in OAR batch scheduler.

OPTIONS

-f, --full
    Very detailed display. Note that this option does nothing with machine parseable outputs (like -J), which contain all the available data.

-j, --job job_id
    Print information for the given job.

-e, --events
    Print job events only. Machine parseable outputs are also available when used in conjunction with correct options (like -J).

-p, --properties
    Print job properties in the same format as in the $OAR_RESOURCE_PROPERTIES_FILE file on the nodes. Machine parseable outputs are also available when used in conjunction with correct options (like -J). Please note that no properties will be displayed for jobs in "Waiting" state.

-s, --state
    Print only the state of a given job. It makes a minimal query to the database, optimized for scripting. Must be used with -j.

-u, --user [login]
    Print information for the current user or the given one. If used with --accounting, print a more detailed accounting report for the user.

--array [array_id]
    Toggle the visualization of array job information. If an array_id is provided, print information relative to the subjobs of the given array job.

-c, --compact
    Prints only one line for all the jobs belonging to a same array. The id is replaced by <N>@<id> where "N" is the number of jobs inside the array and "id" is the id of the array. The state is not relevant for an array of jobs (as some jobs may be waiting while others are running for example), so the state column always shows a dash.

--sql
    Restricts display with the SQL where clause on the table jobs (ex: "project = 'p1'")

--format
    select the text output format. Available values are:
      1: default
      2: prints system messages
      3: like default but with better naming for fields

    The users can use the environment variable OAR_OARSTAT_OUTPUT_FORMAT to select the output format 1, 2 or 3.

-D, --DUMPER
    Print result in DUMPER format.

-X, --XML
    Print result in XML format.

-Y, --YAML
    Print result in YAML format.

-J, --JSON
    Print result in JSON format.

-g, --gantt "date_start,date_stop"
    Print history of jobs and state of resources between two dates like "2006-03-30 13:49:27, 2006-04-30 13:49:27"

--accounting "date_start,date_stop"
    Shows accounting information between two dates like "2006-03-30, 2006-04-30".
     If --user is also used, more details are shown for this particular user.
     Warning: the accounting table must be up to date. The update must be done at superuser level with the oaraccounting command.

-V, --version
    Print OAR version number.

-h, --help
    Print help message.

SEE ALSO
oarprint(1), oarsub(1), oardel(1), oarnodes(1), oarhold(1), oarresume(1)

COPYRIGHTS
 Copyright 2003-2020 Laboratoire d'Informatique de Grenoble (http://www.liglab.fr). This software is licensed under the GNU General Public License Version 2 or above. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.